| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как сделать "прозрачный" lisp?

Как сделать "прозрачный" lisp?

Ответ
Поиск в этой теме
Непрочитано 31.05.2007, 12:14
Как сделать "прозрачный" lisp?
ASLYS
 
Delineante
 
Ростов-на-Дону/Madrid
Регистрация: 26.12.2006
Сообщений: 397

Как сделать чтобы во время выполнения функции, например рисование кружков
Код:
[Выделить все]
(defun c:Ax(/ p)(while(setq p(getpoint "\nPoint :"))(command "_circle" p 10)))
в "прозрачном" режиме выполнить другую функцию, например поменять цвет
Код:
[Выделить все]
(defun bx()(vla-put-color(vlax-ename->vla-object(car(entsel "\nSelect a circle:")))1))
есть подозрения, что это делается с помощью vlax-add-cmd, но не могу понять как она работает
И еще вопрос. В Visual LISP Editor, программа распознаёт стандартные функции-они выделяются синим цветом. Eсли установить DOSLib, то его функции тоже распознаются. Можно ли сделать так, что бы моя функция, например bx или Ax тоже распознавалась (выделялась синим цветом), и каждый раз мне не надо было ее прописывать заново
Просмотров: 7965
 
Непрочитано 01.06.2007, 14:43
#21
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,808


Лишнее это, лишнее. Веришь?
[ATTACH]1180694604.rar[/ATTACH]
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 01.06.2007, 15:43
#22
ASLYS

Delineante
 
Регистрация: 26.12.2006
Ростов-на-Дону/Madrid
Сообщений: 397
<phrase 1=


Цитата:
Лишнее это, лишнее. Веришь?
может быть, но
плюсы:
-на панельке Object Snap (и вCtrl (или Shift) + правый пинок) можно включить только одну привязку, у меня можно включить несколько (меньше кликов)
-drafting setings-Object Snap нужно открыть, у меня на экране видно какие привязки включены (меньше кликов)
минусы:
??? (экран большой-места не жалко)

если забыть про Object Snap
главное что это lisp, который выполняется во время выполнения другого lisp. это можно использовать для других случаев
ASLYS вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > Программирование > LISP > Как сделать "прозрачный" lisp?

Инженерная печать чертежей и проектной документации до А0+
Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск